package com.adealink.weparty.media

import com.adealink.frame.base.Rlt
import com.adealink.frame.media.MediaInfo

interface IMediaManager {

    suspend fun conflictHandle(mediaInfo: MediaInfo): Rlt<Any>

    fun getJoinedMediaRoomId(): String?

    suspend fun rejoinRoom()

    fun getSupportRtc(): Byte

}